Subject: Re: bug#64202: [PATCH] Gnus: Add back end for Atom feeds (nnatom)

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 18 Jul 2023 10:32:40 -0700

Daniel Semyonov via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

>>>>>> Eric Abrahamsen writes:
>
>     > Where do you see that Gnus knows which backends require an
>     > address? That would be very handy.
>
> Forgot to answer this -- 'gnus-valid-select-methods' holds this
> information (and a bunch of other info too).

Huh, I'd forgotten about that. This certainly looks like the right way
to decide whether `gnus-group-make-group' should prompt for an address
or not. 

>     > But my reading of this function is that we don't even known that
>     > the backend is loaded until the end of the group creation
>     > process. You could probably mildly abuse the 'request-create-group
>     > server function to further prompt the user for the URL.
>
>     > It is a bit annoying that the ADDRESS argument is in there, but
>     > not prompted for. It looks like that's been the case for at least
>     > two decades, though.
>
> I'll add this to the pile of stuff I wanna change in Gnus once I'm
> satisfied with this backend (quite a large pile at this point :).

Careful! Like me, you may end up a casualty of mission creep.

> In any case, I still didn't have much time to work on the backend
> unfortunately, but I attached a patch which incorporates the fixes from
> my last message + changes based on comments from Stefan.
>
> Things left to do:
> 1. Ensure support for none-libxml builds (I should probably figure out
>    how ERT works to make this a non-issue going forward).
> 2. Factor out nnfeed.el and base nnatom on top of it (shouldn't be hard).
> 3. Add support for RSS (and steal cool stuff from nnrss).
> 4. Support Atom feeds linked in HTML documents.

Is there a repository somewhere where you're working on this?

Thanks,
Eric